Subject: Re: [PATCH iproute2 v4] ip: Simplify executing ip cmd within network ns

From: [email-masked]
Date: Sat, 13 Dec 2014 10:42:43 +0200

On Sat, Dec 13, 2014 at 09:29:36AM +0100, Jiri Pirko wrote:
> Fri, Dec 12, 2014 at 11:15:07PM CET, [email-masked] wrote:
> >From: Vadim Kochan <[email-masked]>
> >
> >Added new '-netns' option to simplify executing following cmd:
> >
> >    ip netns exec NETNS ip OPTIONS COMMAND OBJECT
> >
> >    to
> >
> >    ip -n[etns] NETNS OPTIONS COMMAND OBJECT
> >
> >e.g.:
> >
> >    ip -net vnet0 link add br0 type bridge
> >    ip -n vnet0 link
> >
> >Signed-off-by: Vadim Kochan <[email-masked]>
> 
> 
> This looks good. I'm still missing support in tc, bridge, etc. I think
> it would be great to do this in the same patch/patchset.
> 
 I planned to do this in the future patches after this main
 changes will be accepted. Actually adding this option to other
 tools is trivial.

 Anyway may be I will re-send v5 with supporting of these tools if I will have time.

 Regards,